Update an existing Action Template
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/actions/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"id": "<string>",
"sourceId": "<string>",
"label": "<string>",
"targetUrl": "<string>",
"rowLimit": 123,
"enabled": true,
"fieldNames": [
"<string>"
]
}
'import requests
url = "http://10.2.4.166:8080/composer/api/actions/{id}"
payload = {
"id": "<string>",
"sourceId": "<string>",
"label": "<string>",
"targetUrl": "<string>",
"rowLimit": 123,
"enabled": True,
"fieldNames": ["<string>"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
id: '<string>',
sourceId: '<string>',
label: '<string>',
targetUrl: '<string>',
rowLimit: 123,
enabled: true,
fieldNames: ['<string>']
})
};
fetch('http://10.2.4.166:8080/composer/api/actions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/actions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'sourceId' => '<string>',
'label' => '<string>',
'targetUrl' => '<string>',
'rowLimit' => 123,
'enabled' => true,
'fieldNames' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/actions/{id}"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"label\": \"<string>\",\n \"targetUrl\": \"<string>\",\n \"rowLimit\": 123,\n \"enabled\": true,\n \"fieldNames\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/actions/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"id\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"label\": \"<string>\",\n \"targetUrl\": \"<string>\",\n \"rowLimit\": 123,\n \"enabled\": true,\n \"fieldNames\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/actions/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"id\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"label\": \"<string>\",\n \"targetUrl\": \"<string>\",\n \"rowLimit\": 123,\n \"enabled\": true,\n \"fieldNames\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"sourceId": "<string>",
"label": "<string>",
"targetUrl": "<string>",
"rowLimit": 123,
"enabled": true,
"fieldNames": [
"<string>"
]
}Update an existing Action Template
Update an existing Action Template
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/actions/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"id": "<string>",
"sourceId": "<string>",
"label": "<string>",
"targetUrl": "<string>",
"rowLimit": 123,
"enabled": true,
"fieldNames": [
"<string>"
]
}
'import requests
url = "http://10.2.4.166:8080/composer/api/actions/{id}"
payload = {
"id": "<string>",
"sourceId": "<string>",
"label": "<string>",
"targetUrl": "<string>",
"rowLimit": 123,
"enabled": True,
"fieldNames": ["<string>"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({
id: '<string>',
sourceId: '<string>',
label: '<string>',
targetUrl: '<string>',
rowLimit: 123,
enabled: true,
fieldNames: ['<string>']
})
};
fetch('http://10.2.4.166:8080/composer/api/actions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/actions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'sourceId' => '<string>',
'label' => '<string>',
'targetUrl' => '<string>',
'rowLimit' => 123,
'enabled' => true,
'fieldNames' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/actions/{id}"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"label\": \"<string>\",\n \"targetUrl\": \"<string>\",\n \"rowLimit\": 123,\n \"enabled\": true,\n \"fieldNames\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/actions/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"id\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"label\": \"<string>\",\n \"targetUrl\": \"<string>\",\n \"rowLimit\": 123,\n \"enabled\": true,\n \"fieldNames\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/actions/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"id\": \"<string>\",\n \"sourceId\": \"<string>\",\n \"label\": \"<string>\",\n \"targetUrl\": \"<string>\",\n \"rowLimit\": 123,\n \"enabled\": true,\n \"fieldNames\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"sourceId": "<string>",
"label": "<string>",
"targetUrl": "<string>",
"rowLimit": 123,
"enabled": true,
"fieldNames": [
"<string>"
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Path Parameters
Body
application/vnd.composer.v3+json
Was this page helpful?